Description

how to set [target version] as required field?

anyone knows how to config it? Thanks.

History

#1 - 2012-11-01 06:35 - Ivan Cenov

Please, use help forum for that.

Particularly, go to http://your.redmine.server/workflows/permissions

#2 - 2012-11-01 06:59 - Steven Wong

Hi, Ivan Cenov

I used redmine 2.1.2 Stable and I config the workflows/permissions, but I can not found the option that the [target version] field should be filled any

time but not the [targer version] field is read-only or not. Could anyone help me?

Thanks so much.

Ivan Cenov wrote:

Please, use help forum for that.

Particularly, go to http://your.redmine.server/workflows/permissions

#3 - 2012-11-01 07:13 - Daniel Felix

You can just define "read-only" in Workflow field permissions.

This seems more like a feature request.

I can't find a backend interface where i could set the default fields (like target version) as required.

Custom fields could be set to enabled, disabled and required. Default fields just  could be enabled, disabled, and this just for the whole installation not

just for some project.

#4 - 2013-03-25 22:24 - Dipan Mehta

This works in the current Redmine > 2.1.x

You can go to Administration > Workflow > Field Permissions  and set the respective fields for each tracker/state/role.

This issue can be closed.

#5 - 2015-01-02 13:26 - Nikunj Kotecha

Any way to do this per project?

For my case, there are some projects were we are managing Target versions, not all.

#6 - 2015-01-30 16:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed
Dipan Mehta wrote:

This works in the current Redmine > 2.1.x

You can go to Administration > Workflow > Field Permissions  and set the respective fields for each tracker/state/role.

This issue can be closed.

 Indeed.

#7 - 2015-01-30 16:07 - Toshi MARUYAMA

- Resolution deleted (Fixed)

Nikunj Kotecha wrote:

Any way to do this per project?

For my case, there are some projects were we are managing Target versions, not all.

 If there is no open version, which means all version is closed or locked,

version filed is not shown.

#8 - 2015-01-30 16:07 - Toshi MARUYAMA

- Resolution set to Fixed

#9 - 2015-01-31 06:03 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Nikunj Kotecha wrote:

Any way to do this per project?

For my case, there are some projects were we are managing Target versions, not all.

 If there is no open version, which means all version is closed or locked,

version filed is not shown.

 Sorry, version filed is not shown, but issue cannot be updated with "Target version can't be blank".
